Subject: Re: Totally Stubby & NSSA

From: "Manral, Vishwas" <[email-masked]>
Date: Tue, 6 Aug 2002 02:05:09 -0400

Hi Mohammed,

"Totally stubby" is implemented by Juniper/other vendors too.
http://www.ietf.org/internet-drafts/draft-ietf-ospf-mib-update-05.txt does
talk about ospfAreaSummary object in the area table, which controls the
import of summary LSA's into Stub and NSSA areas. When no summaries are
imported into stub areas it becomes "Totally stubby".

The NSSA RFC1587 will soon be updated by this
http://www.ietf.org/internet-drafts/draft-ietf-ospf-nssa-update-11.txt .
NSSA has been implemented by a lot of other vendors too, however a lot of
them still follow RFC1587.

Thanks,
Vishwas

-----Original Message-----
From: Mohammed Hendaz [mailto:[email-masked]]
Sent: Tuesday, August 06, 2002 11:02 AM
To: [email-masked]
Subject: Totally Stubby & NSSA

Hi,

Is the "totally stubby" type a Cisco proprietary or a standard
implemented by other vendors (Nortel, 3Com, etc)? I've not
seen it mentioned in  RFC 2328.

Also the NSSA type, I've seen the standard track RFC 1587, but
is it implemented by routers vendors other than Cisco?

I appreciate your feed back.

Regards,
Mohammed.

---

From: Amit Srivastava <[email-masked]>
Date: Mon, 5 Aug 2002 23:09:02 -0700

Hi All,
  I want to know the application which uses type 11
LSAs. If anyone could help??
Regards
Amit

__________________________________________________
Do You Yahoo!?
Yahoo! Health - Feel better, live better
http://health.yahoo.com

---

From: angela <[email-masked]>
Date: Wed, 7 Aug 2002 08:53:12 +0800

Hi All    
    I have one question about interfae MTU processing in DDP exchange.
    In my mind, I think any MTU mismatch between two neighbor can not  exchange normally. So I think any router(OSPFv2 or OSPFv3) should not process the DDP with lower or higher MTU set.  If anyone could help? Is it right??

Best Regards,
angela

Network Testing Lab
Institute of Computing Technology
Chinese Academy of Sciences
NO. 6, South Road, Kexueyuan, Zhongguancun
P.O.Box 2704
Beijing 100080, P.R. China
Tel: +86-10-82628446,62565533 ext..9213(office)
E-mail: [email-masked]

---

From: Acee Lindem <[email-masked]>
Date: Wed, 7 Aug 2002 00:48:19 -0400

angela wrote:

>     In my mind, I think any MTU mismatch between two neighbor can not

>     exchange normally. So I think any router(OSPFv2 or OSPFv3) should

>     not process the DDP with lower or higher MTU set.  If anyone could help? Is it right??

Angela,

If you look at section 10.6 in RFC 2328 you'll see that the OSPF
router with the lower MTU will reject the DB exchange packet. Hence,
you'll never get out of Exchange-start state.

Within the last 6 months, there was a long thread on this subject on
the list. However, at present, I can't get to the archives.

You can try http://discuss.microsoft.com/archives/ospf.html later.

--
Acee